import 'package:fcs/domain/vo/delivery_address.dart';

abstract class DeliveryAddressService {
  Future<void> createDeliveryAddress(DeliveryAddress deliveryAddress);
  Future<void> updateDeliveryAddress(DeliveryAddress deliveryAddress);
  Future<void> deleteDeliveryAddress(DeliveryAddress deliveryAddress);
  Future<void> selectDefalutDeliveryAddress(DeliveryAddress deliveryAddress);
}
